package com.yeejoin.amos.boot.module.cylinder.api.enums;
/**
 * 
 * 警情类型枚举
 * @author litw
 * @date 2021-08-03
 * ***/
public  enum  AlertStageEnums {

	
	//报警类型BJLX
	JQCB("958","JQCB","警情初报"),
	JQGB("959","JQGB","警情归并"),

	//警情类型JQLX
	
	KRJY("960","KRJY","困人救援"),
	GZWX("961","GZWX",	"故障维修"),
	TSZX("962","TSZX",	"投诉咨询"),

	// 来源类型JQLYLX
	DHBJ("963","96333","电话报警"),
	WLJR("1014","WLJR","物联接入"),
	APPJJ("1015","APPJJ","移动端上报"),

	// 警情阶段 JQJD
	JJ("964","JJ","接警"),
	PQ("965","PQ","派遣"),
	DD("966","DD","抵达"),
	JC("967","JC","救出"),
	JYHF("968","JYHF","救援回访"),
	WXFK("969","WXFK","维修反馈"),
	BXFK("970","BXFK","报修反馈"),
	TSRFK("971","TSRFK","投诉人反馈");



	private String id;
	private String code;
	private String value;
	AlertStageEnums(String id, String code, String value) {
		this.id = id;
		this.code=code;
		this.value=value;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public static AlertStageEnums getEnumById(String id)
	{
		for (AlertStageEnums status : AlertStageEnums.values())
		{
			if (status.getId().equals(id))
			{
				return status;
			}
		}
		return null;
	}

	public static AlertStageEnums getEnumByCode(String code)
	{
		for (AlertStageEnums status : AlertStageEnums.values())
		{
			if (status.getCode().equals(code))
			{
				return status;
			}
		}
		return null;
	}
	
}
